Skip to main content

Delete invoice

DELETE https://pos.paysera.com/eapi/v1/invoices/{id}

Permanently delete an invoice.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idstring✓The invoice ID identifier

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Invoice not found

This error indicates the requested resource was not found.

409 - Conflict​

The request could not be completed due to a conflict with the current state of the target resource.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

DELETE https://pos.paysera.com/eapi/v1/invoices/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

204 — Invoice deleted successfully. This endpoint returns no response body.

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Invoice deleted successfully
{}